SUSE 5037 Published by

A perl-CryptX security update has been released for SUSE Linux Enterprise 15 SP5:

openSUSE-SU-2024:0112-1: moderate: Security update for perl-CryptX




openSUSE-SU-2024:0112-1: moderate: Security update for perl-CryptX


openSUSE Security Update: Security update for perl-CryptX
_______________________________

Announcement ID: openSUSE-SU-2024:0112-1
Rating: moderate
References: #1221528
Cross-References: CVE-2018-25099
Affected Products:
openSUSE Backports SLE-15-SP5
_______________________________

An update that fixes one vulnerability is now available.

Description:

This update for perl-CryptX fixes the following issues:

Updated to version 0.080:

0.080 2023-10-04
- fix #95 AES-NI troubles on MS Windows (gcc compiler)
- fix #96 Tests failure with Math::BigInt >= 1.999840
- Enabled AES-NI for platforms with gcc/clang/llvm 0.079
2023-10-01
- fix #92 update libtomcrypt
- bundled libtomcrypt update branch:develop (commit:1e629e6f
2023-06-22) 0.078 2023-04-28
- fix #89 Crypt::Mac::HMAC b64mac and b64umac object methods do
not work

Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Backports SLE-15-SP5:

zypper in -t patch openSUSE-2024-112=1

Package List:

- openSUSE Backports SLE-15-SP5 (aarch64 i586 ppc64le s390x x86_64):

perl-CryptX-0.80.0-bp155.2.3.1

References:

https://www.suse.com/security/cve/CVE-2018-25099.html
https://bugzilla.suse.com/1221528